\name{chrlen}
\alias{chrlen}

\title{Chromosome lengths in QTL experiment}

\description{
  Obtain the chromosome lengths in a \code{cross} object.
}

\usage{
chrlen(object)
}

\arguments{
 \item{object}{An object of class \code{cross}.  See
   \code{\link[qtl]{read.cross}} for details.}
}

\value{
  Returns a vector of chromosome lengths.  If the cross has sex-specific
  maps, it returns a 2-row matrix with the two lengths for each chromosome.
}

\author{Karl W Broman, \email{kbroman@jhsph.edu} }

\examples{
data(fake.f2)
chrlen(fake.f2)
}

\seealso{ \code{\link[qtl]{summary.map}}, \code{\link[qtl]{pull.map}},
  \code{\link[qtl]{summary.cross}} } 

\keyword{print}
